USE [SageFrontOffice]
GO

/****** Object:  Table [RADIO].[LOGS]    Script Date: 16/06/2020 7:29:48 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [RADIO].[LOGS](
	[LOG_ID] [int] IDENTITY(1,1) NOT NULL,
	[SOL_UID] [uniqueidentifier] NOT NULL,
	[LOG_ICON] [nvarchar](32) NOT NULL,
	[LOG_EVENT] [nvarchar](50) NOT NULL,
	[LOG_SOURCE] [int] NOT NULL,
	[LOG_USR_ROLE] [int] NOT NULL,
	[LOG_USR_NAME] [nvarchar](150) NULL,
	[LOG_NUMBER] [nvarchar](16) NULL,
	[LOG_DESCRIPTION] [nvarchar](250) NOT NULL,
	[LOG_DATE] [datetime] NOT NULL,
 CONSTRAINT [PK_LOGS] PRIMARY KEY CLUSTERED 
(
	[LOG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [RADIO].[LOGS] ADD  CONSTRAINT [DF_LOGS_LOG_ICON]  DEFAULT (N'caret') FOR [LOG_ICON]
GO

ALTER TABLE [RADIO].[LOGS] ADD  CONSTRAINT [DF_LOGS_LOG_DATE]  DEFAULT (getdate()) FOR [LOG_DATE]
GO

ALTER TABLE [RADIO].[LOGS]  WITH CHECK ADD  CONSTRAINT [FK_LOGS_SOLICITUDES] FOREIGN KEY([SOL_UID])
REFERENCES [RADIO].[SOLICITUDES] ([SOL_UID])
GO

ALTER TABLE [RADIO].[LOGS] CHECK CONSTRAINT [FK_LOGS_SOLICITUDES]
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'0: Concesionario
1: MinTic
2: ANE' , @level0type=N'SCHEMA',@level0name=N'RADIO', @level1type=N'TABLE',@level1name=N'LOGS', @level2type=N'COLUMN',@level2name=N'LOG_SOURCE'
GO


